Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search
Class FindUsageTableItem

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.search.FindUsageTableItem

    public class FindUsageTableItem

extends Object

An entry in the FindUsageTableModel.

Author:
  Holger Knublauch

Field Summary
`static int` | `DISJOINT_CLASS`
`static int` | `EQUIVALENT_CLASS`
`RDFResource` | `host`
`static int` | `RANGE`
`static int` | `SUPERCLASS`
`int` | `type`
`RDFResource` | `usage`
`static int` | `VALUE`

Constructor Summary
`FindUsageTableItem(int type, RDFResource host, RDFResource usage)`

Method Summary
`boolean` | `contains(edu.stanford.smi.protege.model.Frame frame)`
`Icon` | `getIcon()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUPERCLASS

    public static final int SUPERCLASS

See Also:
  Constant Field Values

### EQUIVALENT_CLASS

    public static final int EQUIVALENT_CLASS

See Also:
  Constant Field Values

### DISJOINT_CLASS

    public static final int DISJOINT_CLASS

See Also:
  Constant Field Values

### RANGE

    public static final int RANGE

See Also:
  Constant Field Values

### VALUE

    public static final int VALUE

See Also:
  Constant Field Values

### host

    public RDFResource host

### usage

    public RDFResource usage

### type

    public int type

Constructor Detail

### FindUsageTableItem

    public FindUsageTableItem(int type,
                              RDFResource host,
                              RDFResource usage)

Method Detail

### contains

    public boolean contains(edu.stanford.smi.protege.model.Frame frame)

### getIcon

    public Icon getIcon()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.